### Method

# Vips Image get_tile_size

#### Declaration [src]

    void
    vips_get_tile_size (
      VipsImage* im,
      int* tile_width,
      int* tile_height,
      int* n_lines
    )

#### Description [src]

Pick a tile size and a buffer height for this image and the current value of `vips_concurrency_get()`. The buffer height will always be a multiple of tile_height.

The buffer height is the height of each buffer we fill in sink disc. Since we have two buffers, the largest range of input locality is twice the output buffer size, plus whatever margin we add for things like convolution.

#### Parameters

`tile_width`

  Type: `int*`

  Return selected tile width.

  The argument will be set by the function.

`tile_height`

  Type: `int*`

  Return selected tile height.

  The argument will be set by the function.

`n_lines`

  Type: `int*`

  Return buffer height in scanlines.

  The argument will be set by the function.